<template>
  <div
    class="col col-grow bg-white flex column"
  >
    <div class="q-pa-md col-grow relative-position">
      <div class="row">
        <div class="col-12">
          <q-input
            v-model="model.duplicateRemoval"
            inverted-light
            color="white"
            stack-label="Duplicate removal"
            suffix="ms"
            type="number"
            :min="0"
            :step="1"
            placeholder="<cam_id_1>=[1/2/3/4];<cam_id_2>=[1/2/3/4];..."
          />
        </div>
        <div class="col col-6 q-mt-md">
          <q-input
            v-model="model.maxDiff"
            inverted-light
            color="white"
            stack-label="Max time diff"
            suffix="ms"
            type="number"
            :min="0"
            :step="1"
          />
        </div>
      </div>
      <div class="row">
        <div
          v-for="([label, width], key) in checkboxes"
          :key="key"
          class="q-mt-md"
          :class="`col-${width}`"
        >
          <q-checkbox
            v-model="model[key]"
            :label="label"
          />
        </div>
      </div>
      <q-btn
        class="q-mt-md"
        size="md"
        label="Save"
        color="green"
        @click="save"
      />
    </div>
  </div>
</template>

<script>
    import QCheckbox from 'quasar-framework/src/components/checkbox/QCheckbox';

    export default {
      name: 'save-timing',
      components: { QCheckbox },
      methods: {
        save() {
          this.$eventHub.$emit('saveTimings', this.model);
        },
      },
      data() {
        return {
          model: {
            duplicateRemoval: '',
            maxDiff: '',
            create_user: true,
            update_user: true,
            create_user_info: true,
            update_user_info: true,
            delete_user_info: true,
            force_sync_user_log: false,
            force_sync_user_info: false,
          },
          checkboxes: {
            create_user: ['Allows creating new users', 4],
            update_user: ['Allows update for the existing users', 4],
            create_user_info: ['Allows creating new records in "irw_users_info"', 4],
            update_user_info: ['Allows updating records from "irw_users_info"', 4],
            delete_user_info: ['Allows removing records from "irw_users_info"', 4],
            force_sync_user_log: ['Remove sessions and user logs before updating timing information', 4],
            force_sync_user_info: ['Remove sessions and recordings from "irw_users_info" and associated user logs before updating table "irw_users_info"', 12],
          },
        };
      },
    };
</script>
